In message <CANjopZHJT_2wdricEAcUH6D5kBmazTGF7t63d0yRTrrypTByBw / mail.gmail.com>
	on Wed, 15 May 2013 23:40:08 +0900,
	Tanaka Akira <akr / fsij.org> wrote:
> 2013/5/15 Takahiro Kambe <taca / back-street.net>:
> 
>> 取り敢えず、 NetBSD 6.1でコンパイルできませんでした。pkgsrc的な問題で
>> はなく、Subversionで取得したコードをautoconfしたものでも変わりません。
変わらないというのは、警告の表示でコンパイルを最後まではしませんでした。

>> だいたい、こんな感じです。
>>
>> In file included from ./include/ruby/ruby.h:1382:0,
>>                  from encoding.c:12,
>>                  from dmyencoding.c:2:
>> ./include/ruby/intern.h:261:72: warning: 'struct timeval' declared inside parameter list
>> ./include/ruby/intern.h:261:72: warning: its scope is only this definition or declaration, which is probably not what you want
>> In file included from ./include/ruby/ruby.h:1382:0,
>>                  from encoding.c:12,
>>                  from dmyencoding.c:2:
> 
> これらは warning ですよね。
> 最終的な失敗になった error はどういうメッセージでしょう?
1.9.3p426の時点では -Werror が効いてエラーとなっていたのではないかと
思います。

-- 
神戸 隆博 / Takahiro Kambe